package com.tzld.piaoquan.recommend.server.framework.recaller.provider;


import com.google.common.base.Joiner;
import com.tzld.piaoquan.recommend.server.framework.common.ArticleInfo;
import java.util.Arrays;


public class InMemoryItem {

    public String id;
    public ArticleInfo articleInfo;
    public Object itemBytes;

    public InMemoryItem(String id) {
        this.id = id;
    }

    public InMemoryItem(String id, ArticleInfo articleInfo, Object itemBytes) {
        this.id = id;
        this.articleInfo = articleInfo;
        this.itemBytes = itemBytes;
    }

    @Override
    public String toString() {
        return Joiner.on(":").join(Arrays.asList(
                "id=" + this.id,
                "articleinfo=" + this.articleInfo
        ));
    }
}
